---

phpcpd:
  stage: analysis
  image: php:cli-alpine
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: false
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: false
  dependencies:
    - phive
  cache: {}
  needs:
    - phive
  interruptible: true
  script:
    - |
      ./resources/tools/phpcpd \
        --min-lines=20 \
        --fuzzy \
        --suffix .php \
        --suffix .module \
        --suffix .install \
        --suffix .theme \
        --suffix .inc \
        ./contrib
